%define upstream_name	 Catalyst-Plugin-ConfigLoader
%define upstream_version 0.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Load config files of various types
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.700.800
BuildRequires: perl(Config::Any) >= 0.200.0
BuildRequires: perl(Data::Visitor) >= 0.240.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module will attempt to load find and load a configuration file of
various types. Currently it supports YAML, JSON, XML, INI and Perl
formats.

To support the distinction between development and production
environments, this module will also attemp to load a local config
(e.g. myapp_local.yaml) which will override any duplicate settings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i.DOS -e 's/\r//g' Changes
sed -i.DOS -e 's/\r//g' README

%build
%__perl Makefile.PL installdirs=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%changelog
* Sat Aug 01 2020 tv <tv> 0.350.0-1.mga8
+ Revision: 1610091
- update to 0.35

* Wed Feb 12 2020 umeabot <umeabot> 0.340.0-9.mga8
+ Revision: 1503528
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.340.0-8.mga7
+ Revision: 1282221
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.340.0-7.mga7
+ Revision: 1167787
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.340.0-6.mga6
+ Revision: 1023298
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.340.0-5.mga6
+ Revision: 947757
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 744822
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.340.0-3.mga5
+ Revision: 732868
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.340.0-1.mga5
+ Revision: 620452
- update to 0.34

* Sun Feb 09 2014 sander85 <sander85> 0.330.0-1.mga5
+ Revision: 587552
- update to 0.33

* Sat Oct 19 2013 umeabot <umeabot> 0.320.0-2.mga4
+ Revision: 526799
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.320.0-1.mga4
+ Revision: 438862
- update to 0.32

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 364002
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 40268
- mageia rebuild
- imported package perl-Catalyst-Plugin-ConfigLoader

